package integrationtest;

import org.junit.*;
import com.thoughtworks.selenium.*;

public class GoogleSeleniumTest
{
   private static Selenium selenium;

   @BeforeClass
   public static void startSelenium()
   {
      String browser = System.getProperty( "browser" );
      selenium = new DefaultSelenium( "localhost", 4444, "*" + browser, "http://www.google.de" );
      selenium.start();
      selenium.setSpeed( "500" );
   }

   @AfterClass
   public static void stopSelenium()
   {
      selenium.stop();
   }

   @Test
   public void testGoogle()
   {
      selenium.open( "" );
      selenium.waitForPageToLoad( "33000" );
      selenium.type( "q", "seleniumhq.org" );
      selenium.click( "btnG" );
      selenium.waitForCondition( "selenium.isTextPresent( 'seleniumhq.org' )", "22000" );
      Assert.assertTrue( selenium.isTextPresent( "seleniumhq.org" ) );
   }
}
