package de.meinefirma.meinprojekt;

import java.io.Serializable;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.form.*;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.model.CompoundPropertyModel;

public class BerechnungsFormular extends WebPage
{
   public BerechnungsFormular()
   {
      Form<MeinDatenModel> form = new Form<MeinDatenModel>( "meinFormular" ) {
         private static final long serialVersionUID = 1L;
         @Override protected void onSubmit() {
            MeinDatenModel datenModel = getModelObject();
            datenModel.ergebnis = (new MeineBean()).berechne( datenModel.wert1, datenModel.wert2 );
         }
      };
      form.setModel( new CompoundPropertyModel<MeinDatenModel>( new MeinDatenModel() ) );
      form.add( new RequiredTextField<Double>( "wert1" ) );
      form.add( new RequiredTextField<Double>( "wert2" ) );
      form.add( new Button( "berechne" ) );
      form.add( new TextField<Double>( "ergebnis" ) );
      add( form );
      add( new FeedbackPanel( "FehlerFeedback" ) );
   }

   class MeinDatenModel implements Serializable
   {
      private static final long serialVersionUID = 1L;
      public Double wert1, wert2, ergebnis;
   }
}
